---@meta

---@class ABP_TargetDoor_Template_C : AB1GameObject
---@field InteractionSlot UB1SlotComponent
---@field FxSlot UB1SlotComponent
---@field StaticMesh UStaticMeshComponent
---@field DoorSize FVector2D
local ABP_TargetDoor_Template_C = {}

---@param InNiagaraComponent UNiagaraComponent
ABP_TargetDoor_Template_C['BP Target Door Template Auto Gen Func'] = function(self, InNiagaraComponent) end
function ABP_TargetDoor_Template_C:UserConstructionScript() end


